Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.index.lucene
Class IndexMetadata

    java.lang.Object
      org.crosswire.jsword.index.lucene.IndexMetadata

    public final class IndexMetadata

extends Object

A singleton that Reads and Maintains IndexMetadata from properties file All version number in the properties file must be float.

Author:
  Sijo Cherian
See Also:
  `The GNU Lesser General Public License for details.`

Field Summary
`static String` | `INDEX_VERSION` Deprecated. do not use
`static float` | `INDEX_VERSION_1_1` Deprecated. do not use
`static float` | `INDEX_VERSION_1_2` latest version on top
`static String` | `LATEST_INDEX_VERSION`
`private static org.slf4j.Logger` | `log`
`static String` | `LUCENE_VERSION`
`private static IndexMetadata` | `myInstance`
`static String` | `PREFIX_LATEST_INDEX_VERSION_BOOK_OVERRIDE`
`private PropertyMap` | `props`

Constructor Summary
`private` | `IndexMetadata()`

Method Summary
`static String` | `generateInstalledBooksIndexVersionReport(BookFilter filter)`
`static String` | `getBookIdentifierPropSuffix(BookMetaData meta)`
`float` | `getInstalledIndexVersion()` Deprecated. see InstalledIndex.java
`float` | `getLatestIndexVersion()`
`float` | `getLatestIndexVersion(Book b)`
`String` | `getLatestIndexVersionStr()`
`float` | `getLuceneVersion()`
`static IndexMetadata` | `instance()` All access to IndexMetadata is through this single instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INDEX_VERSION_1_2

    public static final float INDEX_VERSION_1_2

  latest version on top

  See Also:
    Constant Field Values

### INDEX_VERSION_1_1

    @Deprecated
    public static final float INDEX_VERSION_1_1

  Deprecated. do not use
  A prior version.

  See Also:
    Constant Field Values

### LATEST_INDEX_VERSION

    public static final String LATEST_INDEX_VERSION

See Also:
  Constant Field Values

### LUCENE_VERSION

    public static final String LUCENE_VERSION

See Also:
  Constant Field Values

### PREFIX_LATEST_INDEX_VERSION_BOOK_OVERRIDE

    public static final String PREFIX_LATEST_INDEX_VERSION_BOOK_OVERRIDE

See Also:
  Constant Field Values

### INDEX_VERSION

    @Deprecated
    public static final String INDEX_VERSION

  Deprecated. do not use
  See Also:
    Constant Field Values

### log

    private static final org.slf4j.Logger log

### myInstance

    private static IndexMetadata myInstance

### props

    private PropertyMap props

Constructor Detail

### IndexMetadata

    private IndexMetadata()

Method Detail

### instance

    public static IndexMetadata instance()

  All access to IndexMetadata is through this single instance.

  Returns:
    the singleton instance

### getInstalledIndexVersion

    @Deprecated
    public float getInstalledIndexVersion()

  Deprecated. see InstalledIndex.java

  default Installed IndexVersion

  Returns:
    the index version

### getLatestIndexVersion

    public float getLatestIndexVersion()

### getLatestIndexVersionStr

    public String getLatestIndexVersionStr()

### getLatestIndexVersion

    public float getLatestIndexVersion(Book b)

### getBookIdentifierPropSuffix

    public static String getBookIdentifierPropSuffix(BookMetaData meta)

### getLuceneVersion

    public float getLuceneVersion()

### generateInstalledBooksIndexVersionReport

    public static String generateInstalledBooksIndexVersionReport(BookFilter filter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD